# SourcePath: util-linux-ng/20140307dev
Summary: Miscellaneous system utilities.
Name: sony-target-dev-util-linux-ng
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-util-linux-ng
Version: 2.13
Release: 08000201
License: GPL2 / BSD / Public Domain
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.kernel.org/pub/linux/utils/util-linux-ng/v2.13
Source: util-linux-ng-%{version}.tar.bz2
Patch1: util-linux-ng-%{version}-mips-ioprio.patch
Patch2: util-linux-ng-%{version}-adjust-sbin.patch
Patch3: util-linux-ng-%{version}-mount-umount-nocanonicalize-umount-fake.patch
Patch4: util-linux-ng-CVE-2007-5191.patch
Patch5: util-linux-ng-CVE-2008-1926-1.patch
Patch6: util-linux-ng-CVE-2008-1926-2.patch
Patch7: util-linux-ng-CVE-2011-1677.patch

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses
# blkid in e2fsprogs package is needed. (available above v1.33)
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-e2fsprogs > 1.33
%description
A mixed bag of system utilities: arch blockdev chkdupexe cfdisk cytune
dmesg fdisk fsck.minix getty getopt hwclock ipcrm ipcs mcookie mkfs
mkfs.minix mkswap more namei pivot_root raw setterm setsid tunelp
whereis.

%package -n %{pkgname}
Summary: Miscellaneous system utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
A mixed bag of system utilities: arch blockdev chkdupexe cfdisk cytune
dmesg fdisk fsck.minix getty getopt hwclock ipcrm ipcs mcookie mkfs
mkfs.minix mkswap more namei pivot_root raw setterm setsid tunelp
whereis.


%prep
%setup -q -n util-linux-ng-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
%sony_target_dev_setup
%sony_target_dev_configure
make


%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
# /!\ HINT: If ever make install failed and log shows failure of chgrp,
#           add tty to builder's group, and re-login and rebuild.

# getty is a special case
# In the past wa called agetty "getty" so symlink it here.
ln -s agetty %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/getty

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

# dev busybox locates logger command at /devel/usr/bin,
# mv to /devel/usr/local/bin. (tentative. permanent fix is to mv busybox
# logger command to /devel/bin. do that at next busybox version up.)
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}
for c in logger taskset ; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/$c
done
# move sbin commands which were at devel/sbin in previous version
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
for c in blockdev cfdisk fdisk fsck.minix hwclock mkfs mkfs.minix mkswap ; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/$c
done
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_sbin_dir}
for c in sfdisk ; do
	mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$c \
	   %{buildroot}%{sony_target_dir}%{sony_target_dev_local_sbin_dir}/$c
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/cal
%{sony_target_dir}%{sony_target_dev_bin_dir}/chkdupexe
%{sony_target_dir}%{sony_target_dev_bin_dir}/chrt
%{sony_target_dir}%{sony_target_dev_bin_dir}/col
%{sony_target_dir}%{sony_target_dev_bin_dir}/colcrt
%{sony_target_dir}%{sony_target_dev_bin_dir}/colrm
%{sony_target_dir}%{sony_target_dev_bin_dir}/column
%{sony_target_dir}%{sony_target_dev_bin_dir}/cytune
%{sony_target_dir}%{sony_target_dev_bin_dir}/ddate
%{sony_target_dir}%{sony_target_dev_bin_dir}/dmesg
%{sony_target_dir}%{sony_target_dev_bin_dir}/fdformat
%{sony_target_dir}%{sony_target_dev_bin_dir}/flock
%{sony_target_dir}%{sony_target_dev_bin_dir}/getopt
%{sony_target_dir}%{sony_target_dev_bin_dir}/hexdump
%{sony_target_dir}%{sony_target_dev_bin_dir}/ionice
%{sony_target_dir}%{sony_target_dev_bin_dir}/ipcrm
%{sony_target_dir}%{sony_target_dev_bin_dir}/ipcs
%{sony_target_dir}%{sony_target_dev_bin_dir}/isosize
%{sony_target_dir}%{sony_target_dev_bin_dir}/line
%{sony_target_dir}%{sony_target_dev_bin_dir}/linux32
%{sony_target_dir}%{sony_target_dev_bin_dir}/linux64
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/logger
%{sony_target_dir}%{sony_target_dev_bin_dir}/look
%{sony_target_dir}%{sony_target_dev_bin_dir}/mcookie
%{sony_target_dir}%{sony_target_dev_bin_dir}/more
%{sony_target_dir}%{sony_target_dev_bin_dir}/mount
%{sony_target_dir}%{sony_target_dev_bin_dir}/namei
%{sony_target_dir}%{sony_target_dev_bin_dir}/pg
%if "%{sony_target_cpu}" == "i386" || "%{sony_target_cpu}" == "i686"
%{sony_target_dir}%{sony_target_dev_bin_dir}/i386
%endif
%if "%{sony_target_cpu}" == "ppc"
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc32
%{sony_target_dir}%{sony_target_dev_bin_dir}/ppc64
%endif
%if "%{sony_target_cpu}" == "mips"
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips32
%{sony_target_dir}%{sony_target_dev_bin_dir}/mips64
%endif
%{sony_target_dir}%{sony_target_dev_bin_dir}/rename
%{sony_target_dir}%{sony_target_dev_bin_dir}/renice
%{sony_target_dir}%{sony_target_dev_bin_dir}/rev
%{sony_target_dir}%{sony_target_dev_bin_dir}/script
%{sony_target_dir}%{sony_target_dev_bin_dir}/scriptreplay
%{sony_target_dir}%{sony_target_dev_bin_dir}/setarch
%{sony_target_dir}%{sony_target_dev_bin_dir}/setsid
%{sony_target_dir}%{sony_target_dev_bin_dir}/setterm
%{sony_target_dir}%{sony_target_dev_bin_dir}/tailf
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/taskset
%{sony_target_dir}%{sony_target_dev_bin_dir}/ul
%{sony_target_dir}%{sony_target_dev_bin_dir}/umount
%{sony_target_dir}%{sony_target_dev_bin_dir}/wall
%{sony_target_dir}%{sony_target_dev_bin_dir}/whereis
%{sony_target_dir}%{sony_target_dev_sbin_dir}/agetty
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/blockdev
%{sony_target_dir}%{sony_target_dev_dir}/sbin/blockdev
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/cfdisk
%{sony_target_dir}%{sony_target_dev_dir}/sbin/cfdisk
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ctrlaltdel
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/fdisk
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fdisk
%{sony_target_dir}%{sony_target_dev_sbin_dir}/fsck.cramfs
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/fsck.minix
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.minix
%{sony_target_dir}%{sony_target_dev_sbin_dir}/getty
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/hwclock
%{sony_target_dir}%{sony_target_dev_dir}/sbin/hwclock
%{sony_target_dir}%{sony_target_dev_sbin_dir}/losetup
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs.bfs
%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs.cramfs
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkfs.minix
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.minix
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/mkswap
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkswap
%{sony_target_dir}%{sony_target_dev_sbin_dir}/pivot_root
%{sony_target_dir}%{sony_target_dev_sbin_dir}/readprofile
%{sony_target_dir}%{sony_target_dev_sbin_dir}/rtcwake
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/sfdisk
%{sony_target_dir}%{sony_target_dev_local_sbin_dir}/sfdisk
%{sony_target_dir}%{sony_target_dev_sbin_dir}/swapoff
%{sony_target_dir}%{sony_target_dev_sbin_dir}/swapon
%{sony_target_dir}%{sony_target_dev_sbin_dir}/tunelp
%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-parse.bash
%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-parse.tcsh
%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-test.bash
%{sony_target_dir}%{sony_target_dev_data_dir}/getopt/getopt-test.tcsh

%changelog
* Wed Nov 30 2016 Sony Corporation
- Initial build for 8.0.2.0.

* Fri Mar 07 2014 Sony Corporation
- Added CVE-2007-5191, CVE-2008-1926 and CVE-2011-1677 fix patches

* Thu Feb 14 2013 Sony Corporation
- Added --no-canonicalize option for mount and umount.
- Added --fake option for umount to support fuse latest version.

* Tue Feb 09 2010 Sony Corporation
- Install location of taskset changed to /devel/usr/local/bin due
  taskset command support added in dev-busybox.

* Wed Apr 30 2008 Sony Corporation
- Added i686 support

* Fri Sep 28 2007 Sony Corporation
- add patch to adjust /sbin dir to /devel/sbin.

* Fri Sep 07 2007 Sony Corporation
- Version up to util-linux-ng-2.13.

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Thu May 31  2007 Sony Corporation
- CE4.X: added kernel-2.6.21 support patch

* Thu Mar 08  2007 Sony Corporation
- Version update to 2.12r

* Wed Feb 28 2007 Sony Corporation
- Change install location of sfdisk to /devel/usr/local/sbin

* Wed Jan 24 2007 Sony Corporation
- add allow gcc4 patch

* Thu Jun 15 2006 Sony Corporation
- change Install Location: logger

* Fri Apr 28 2005 Sony Corporation
- fix command path

* Tue Feb 01 2005 Sony Corporation
- delete init.d script

* Thu Dec 16 2004 Sony Corporation
- add util-linux-2.11-linux-2.6.9.patch for kernel 2.6.9

* Thu Nov 16 2004 Sony Corporation
- 3 package -> 1 package

* Mon Nov 15 2004 Sony Corporation
- change SourcePath: util-linux/2004xxxxdev -> util-linux/20041102dev

* Tue Nov 2 2004 Sony Corporation
- MVL31=>sony version
